Subject: Re: [bess] RE BGP Usage for SDWAN Overlay Networks Adoption

From: Linda Dunbar <[email-masked]>
Date: Mon, 13 Jul 2020 18:38:02 +0000

Basil,

Thank you very much for the comments.
Here are the proposed resolution to your suggestion:

Linda Dunbar

From: Najem, Basil <[email-masked]>
Sent: Thursday, July 2, 2020 5:15 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE BGP Usage for SDWAN Overlay Networks Adoption

Good Day;

As one of the authors of the this document "BGP Usage for SDWAN Overlay Networks draft-dunbar-bess-bgp-sdwan-usage-06 " (see the link https://datatracker.ietf.org/doc/draft-dunbar-bess-bgp-sdwan-usage/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-bess-bgp-sdwan-usage%2F&data=02%7C01%7Clinda.dunbar%40futurewei.com%7C1db8524de50e49b6c7fd08d81ed552a5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637293248859576217&sdata=ps3r8tjKf%2Bd0Vv5GxCSpRdqvfU5qzPpq0C8vIDyDyCY%3D&reserved=0>), I support the adoption of the document ONLY if the following comments are taken into the consideration:

  1.  Section 1, Page 3: There more characteristics of the SDWAN Service that needs to be captured. For example, the Application Routing based on specific performance criteria (e.g. packets delay, packet loos, jitter) is used to  provide better application performance by choosing the right underlay that meets or exceeds the specified criteria; SD-WAN is doing this efficiently. This must be added for clarity and to avoid any misleading to the reader
[Linda]  The following bullet is added to the characteristics of the SDWAN:

  *   The Application Routing can also be based on specific performance criteria (e.g. packets delay, packet loos, jitter) to provide better application performance by choosing the right underlay that meets or exceeds the specified criteria.

  1.  Section 2, Page 5:  What's the definition of the "SDWAN edge node"? Also, the SDWAN End-point has different definition at MEF 70.x; is the SDWAN End-point (in this document) the same as  the one in MEF 70.x? We need to be clear about using the right terminology and its usage.

[Linda] Remoted the terminology of "SDWAN End-point". SDWAN Edge has the following definition:
SDWAN Edge Node:  an edge node, which can be physical or virtual, maps the attached clients' traffic to the wide area network (WAN) overlay tunnels.

  1.  Section 3.1.1, Page 6: it would be good to include the reference to and the picture of the format of the proposed BGP Extended Community value (i.e. SD-WAN Target ID) and its value
[Linda] The BGP encoding is specified in IDR WG. We can add a reference here.

  1.  Section 3.3, Page 11: For clarity add (after the end of the paragraph) the following sentence "If all the traffic is encrypted on all WAN ports (i.e. the C-PE WAN ports that are connected to the Internet and Private VPN network), then this will be similar to Scenario#1"

[Linda] all the traffic encrypted on all WAN ports is already covered by the Scenario #1. This scenario is to emphasize that client data/flows can go through VPN without encryption and Internet with encryption.

  1.  Section 4.1, Page 17 (Fig. 6): There is NO colors in the figure; there should be RED and BLUE colors in the figure to match the paragraph
[Linda] Thank you for catching this.

  1.  Section 4.2, Page 18 (Fig. 7): There is NO Purple nor RED colors in the figure. There should be colors in the figure
[Linda] fixed.

  1.  Section 5.2, Page 22: This paragraph is not clear! the SD-WAN doesn't interact with the underlay PE nor it does exchange keys/policies with the PE.

[Linda] which paragraph you are referring to?   The Section 5.2 is assuming all SDWAN edge nodes are PEs.  I added a phrase to the following statement:
[SECURE-L3VPN] describes how to extend the RFC4364 VPN to allow some PEs being connected to other PEs via public networks. In this scenario, the PEs is the SDWAN Edge nodes.

This is not the intent of the SD-WAN (as an overlay service). What's the purpose of this section?
[Linda] this scenario is to refer to addition IPsec tunnels added to  MPLS PEs

  1.  Section 6, Page 26: The SDWAN Edge node that is directly connected to the Client Network (CN) learns the routes from the client (at this specific location) and then re-distribute this to the RR. This is needs to be clarified here

[Linda] Made the following change
SDWAN overlay networks utilize the SDWAN controller to facilitate route distribution, central configurations, and others. SDWAN Edge nodes need to advertise the attached routes to their controller (i.e. RR in BGP case).

Best Regards;

Basil Najem

---

From: "Najem, Basil" <[email-masked]>
Date: Thu, 2 Jul 2020 22:14:32 +0000

Good Day;

As one of the authors of the this document "BGP Usage for SDWAN Overlay Networks draft-dunbar-bess-bgp-sdwan-usage-06 " (see the link https://datatracker.ietf.org/doc/draft-dunbar-bess-bgp-sdwan-usage/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-bess-bgp-sdwan-usage%2F&data=02%7C01%7Clinda.dunbar%40futurewei.com%7Cda7df78d38a349fa7aea08d81897aa14%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637286386963995174&sdata=v9TV3YnBQXMooRavPrgymvGtMWFopNMGQ62Gm%2B7jHBI%3D&reserved=0>), I support the adoption of the document ONLY if the following comments are taken into the consideration:

1-      Section 1, Page 3: There more characteristics of the SDWAN Service that needs to be captured. For example, the Application Routing based on specific performance criteria (e.g. packets delay, packet loos, jitter) is used to  provide better application performance by choosing the right underlay that meets or exceeds the specified criteria; SD-WAN is doing this efficiently. This must be added for clarity and to avoid any misleading to the reader

2-      Section 2, Page 5:  What's the definition of the "SDWAN edge node"? Also, the SDWAN End-point has different definition at MEF 70.x; is the SDWAN End-point (in this document) the same as  the one in MEF 70.x? We need to be clear about using the right terminology and its usage.

3-      Section 3.1.1, Page 6: it would be good to include the reference to and the picture of the format of the proposed BGP Extended Community value (i.e. SD-WAN Target ID) and its value

4-      Section 3.3, Page 11: For clarity add (after the end of the paragraph) the following sentence "If all the traffic is encrypted on all WAN ports (i.e. the C-PE WAN ports that are connected to the Internet and Private VPN network), then this will be similar to Scenario#1"

5-      Section 4.1, Page 17 (Fig. 6): There is NO colors in the figure; there should be RED and BLUE colors in the figure to match the paragraph

6-      Section 4.2, Page 18 (Fig. 7): There is NO Purple nor RED colors in the figure. There should be colors in the figure

7-      Section 5.2, Page 22: This paragraph is not clear! the SD-WAN doesn't interact with the underlay PE nor it does exchange keys/policies with the PE. This is not the intent of the SD-WAN (as an overlay service). What's the purpose of this section?

8-      Section 6, Page 26: The SDWAN Edge node that is directly connected to the Client Network (CN) learns the routes from the client (at this specific location) and then re-distribute this to the RR. This is needs to be clarified here

Best Regards;

Basil Najem